#pragma once
#include "main.h"

// Interface to the async DMA capture, with an event driven listener.

/**
 * @brief Start capturing data.
 *
 * @param count  : number of samples to capture
 * @param frequency : sampling frequency
 * @param sucCb  : success callback. xtra is the value passed to this function as the last agument.
 * @param failCb : fail callback.
 * @param xtra   : extra data object passed to the callbacks.
 * @return success
 */
bool start_capture_task(
		uint32_t *buf,
		uint16_t count,
		uint32_t frequency,
		void (*sucCb)(uint32_t *buf, uint16_t len, void *xtra),
		void (*failCb)(void *xtra),
		void* xtra);

bool acq_is_running(void);
